/* 
 * ServerEvents.recipes(callback) is a function that accepts another function,
 * called the "callback", as a parameter. The callback gets run when the 
 * server is working on recipes, and then we can make our own changes.
 * When the callback runs, it is also known as the event "firing". 
*/

// Listen for the "recipes" server event.
ServerEvents.recipes(event => {
	event.remove({output: 'quark:trowel'}),
	event.shaped(
	Item.of('quark:trowel'),
	[
		'AB ',
		' CD',
		'   ',
	],
	{
		A: 'minecraft:stick',
		B: 'minecraft:string',
		C: 'minecraft:flint',
		D: 'minecraft:iron_ingot'
	}
	),
	//because for some reason, despite quark beetroot crates being disabled, they still spawn in-world??
	event.shapeless(
	Item.of('minecraft:beetroot', 9),
	[
		'quark:beetroot_crate'
	]
	)

  console.log('Hello! Cosmo also says hiii! The recipe event has fired!')
})